import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiVfpoolGetResultModel(
    _base.BaseAPIResultModel,
    _nested.VFPoolAPIResultNM,
):
    pass


class CloudapiVfpoolGetProtocol(_base.BasePostAPIFunctionProtocol):
    def get(
        self,
        *,
        vfpool_id: int,
    ) -> CloudapiVfpoolGetResultModel:
        ...
